<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once('sadmin_conf.inc.php');
require_once('sadmin_ip_conf.inc.php');

// check
	if ($_POST['chk'])
	{
		//
	} else if ($_GET['ip_ipaddr'] && $_GET['ip_netmask'])
	{
		$_POST['chk'] = array();
		$_POST['chk'][] = $_GET['ip_ipaddr'].'|'.$_GET['ip_netmask'];
	} else {
		msg('올바른 URL로 접근하여 주십시오');
	}
	
// data
	for ($i=0; $i<sizeof($_POST['chk']); $i++)
	{
		$ex = explode('|', $_POST['chk'][$i]);
		$sql = "
			DELETE
			FROM
				" . $ip_table . "
			WHERE
				ip_ipaddr='" . $ex[0]  . "'
				AND ip_netmask='" . $ex[1]  . "'
			";
		db_query($sql);
	}	// for()

	// 디비를 기준으로 설정파일 갱신.
	nm_iptab_update_by_db($ip_table, $ip_tab);


// end
	#msg("삭제되었습니다.", 0);
	movepage('sadmin_ip.php?' . get_qs('chk[]'));


require_once('include/global_end.php');
?>